# Value_TypeCode_Static.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCode_Base_Attributes.h"`
`#include "tao/ValueModifierC.h"`
`#include "tao/VisibilityC.h"`
`#include "tao/Null_RefCount_Policy.h"`

Include dependency graph for Value_TypeCode_Static.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >

## Detailed Description

Id
  Value_TypeCode_Static.h,v 1.3 2005/05/12 00:54:18 ossama Exp

Header file for static `tk_value` and `tk_event` `CORBA::TypeCodes`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>